"use strict";
// Copyright 2019-2022 Unique Network (Gibraltar) Ltd.
// This file is part of Unique Network.
Object.defineProperty(exports, "__esModule", { value: true });
const CROSS_ACCOUNT_ID_TYPE = 'PalletEvmAccountBasicCrossAccountIdRepr';
const crossAccountParam = (name = 'account') => ({ name, type: CROSS_ACCOUNT_ID_TYPE });
const atParam = { name: 'at', type: 'Hash', isOptional: true };
const fun = (description, params, type) => ({
    description,
    params: [...params, atParam],
    type,
});
exports.default = {
    types: {},
    rpc: {
        totalStaked: fun('Returns the total amount of staked tokens', [{ name: 'staker', type: CROSS_ACCOUNT_ID_TYPE, isOptional: true }], 'u128'),
        totalStakedPerBlock: fun('Returns the total amount of staked tokens per block when staked', [crossAccountParam('staker')], 'Vec<(u32, u128)>'),
        pendingUnstake: fun('Returns the total amount of unstaked tokens', [{ name: 'staker', type: CROSS_ACCOUNT_ID_TYPE, isOptional: true }], 'u128'),
        pendingUnstakePerBlock: fun('Returns the total amount of unstaked tokens per block', [crossAccountParam('staker')], 'Vec<(u32, u128)>'),
    },
};
//# sourceMappingURL=definitions.js.map