declare const _default: {
    types: {
        FrameSystemAccountInfo: {
            nonce: string;
            consumers: string;
            providers: string;
            sufficients: string;
            data: string;
        };
        PalletBalancesAccountData: {
            free: string;
            reserved: string;
            frozen: string;
            flags: string;
        };
        FrameSupportDispatchPerDispatchClassWeight: {
            normal: string;
            operational: string;
            mandatory: string;
        };
        SpWeightsWeightV2Weight: {
            refTime: string;
            proofSize: string;
        };
        SpRuntimeDigest: {
            logs: string;
        };
        SpRuntimeDigestDigestItem: {
            _enum: {
                Other: string;
                __Unused1: string;
                __Unused2: string;
                __Unused3: string;
                Consensus: string;
                Seal: string;
                PreRuntime: string;
                __Unused7: string;
                RuntimeEnvironmentUpdated: string;
            };
        };
        FrameSystemEventRecord: {
            phase: string;
            event: string;
            topics: string;
        };
        FrameSystemEvent: {
            _enum: {
                ExtrinsicSuccess: {
                    dispatchInfo: string;
                };
                ExtrinsicFailed: {
                    dispatchError: string;
                    dispatchInfo: string;
                };
                CodeUpdated: string;
                NewAccount: {
                    account: string;
                };
                KilledAccount: {
                    account: string;
                };
                Remarked: {
                    _alias: {
                        hash_: string;
                    };
                    sender: string;
                    hash_: string;
                };
            };
        };
        FrameSupportDispatchDispatchInfo: {
            weight: string;
            class: string;
            paysFee: string;
        };
        FrameSupportDispatchDispatchClass: {
            _enum: string[];
        };
        FrameSupportDispatchPays: {
            _enum: string[];
        };
        SpRuntimeDispatchError: {
            _enum: {
                Other: string;
                CannotLookup: string;
                BadOrigin: string;
                Module: string;
                ConsumerRemaining: string;
                NoProviders: string;
                TooManyConsumers: string;
                Token: string;
                Arithmetic: string;
                Transactional: string;
                Exhausted: string;
                Corruption: string;
                Unavailable: string;
                RootNotAllowed: string;
            };
        };
        SpRuntimeModuleError: {
            index: string;
            error: string;
        };
        SpRuntimeTokenError: {
            _enum: string[];
        };
        SpArithmeticArithmeticError: {
            _enum: string[];
        };
        SpRuntimeTransactionalError: {
            _enum: string[];
        };
        PalletStateTrieMigrationEvent: {
            _enum: {
                Migrated: {
                    top: string;
                    child: string;
                    compute: string;
                };
                Slashed: {
                    who: string;
                    amount: string;
                };
                AutoMigrationFinished: string;
                Halted: {
                    error: string;
                };
            };
        };
        PalletStateTrieMigrationMigrationCompute: {
            _enum: string[];
        };
        PalletStateTrieMigrationError: {
            _enum: string[];
        };
        CumulusPalletParachainSystemEvent: {
            _enum: {
                ValidationFunctionStored: string;
                ValidationFunctionApplied: {
                    relayChainBlockNum: string;
                };
                ValidationFunctionDiscarded: string;
                UpgradeAuthorized: {
                    codeHash: string;
                };
                DownwardMessagesReceived: {
                    count: string;
                };
                DownwardMessagesProcessed: {
                    weightUsed: string;
                    dmqHead: string;
                };
                UpwardMessageSent: {
                    messageHash: string;
                };
            };
        };
        PalletCollatorSelectionEvent: {
            _enum: {
                InvulnerableAdded: {
                    invulnerable: string;
                };
                InvulnerableRemoved: {
                    invulnerable: string;
                };
                LicenseObtained: {
                    accountId: string;
                    deposit: string;
                };
                LicenseReleased: {
                    accountId: string;
                    depositReturned: string;
                };
                CandidateAdded: {
                    accountId: string;
                };
                CandidateRemoved: {
                    accountId: string;
                };
            };
        };
        PalletSessionEvent: {
            _enum: {
                NewSession: {
                    sessionIndex: string;
                };
            };
        };
        PalletBalancesEvent: {
            _enum: {
                Endowed: {
                    account: string;
                    freeBalance: string;
                };
                DustLost: {
                    account: string;
                    amount: string;
                };
                Transfer: {
                    from: string;
                    to: string;
                    amount: string;
                };
                BalanceSet: {
                    who: string;
                    free: string;
                };
                Reserved: {
                    who: string;
                    amount: string;
                };
                Unreserved: {
                    who: string;
                    amount: string;
                };
                ReserveRepatriated: {
                    from: string;
                    to: string;
                    amount: string;
                    destinationStatus: string;
                };
                Deposit: {
                    who: string;
                    amount: string;
                };
                Withdraw: {
                    who: string;
                    amount: string;
                };
                Slashed: {
                    who: string;
                    amount: string;
                };
                Minted: {
                    who: string;
                    amount: string;
                };
                Burned: {
                    who: string;
                    amount: string;
                };
                Suspended: {
                    who: string;
                    amount: string;
                };
                Restored: {
                    who: string;
                    amount: string;
                };
                Upgraded: {
                    who: string;
                };
                Issued: {
                    amount: string;
                };
                Rescinded: {
                    amount: string;
                };
                Locked: {
                    who: string;
                    amount: string;
                };
                Unlocked: {
                    who: string;
                    amount: string;
                };
                Frozen: {
                    who: string;
                    amount: string;
                };
                Thawed: {
                    who: string;
                    amount: string;
                };
            };
        };
        FrameSupportTokensMiscBalanceStatus: {
            _enum: string[];
        };
        PalletTransactionPaymentEvent: {
            _enum: {
                TransactionFeePaid: {
                    who: string;
                    actualFee: string;
                    tip: string;
                };
            };
        };
        PalletTreasuryEvent: {
            _enum: {
                Proposed: {
                    proposalIndex: string;
                };
                Spending: {
                    budgetRemaining: string;
                };
                Awarded: {
                    proposalIndex: string;
                    award: string;
                    account: string;
                };
                Rejected: {
                    proposalIndex: string;
                    slashed: string;
                };
                Burnt: {
                    burntFunds: string;
                };
                Rollover: {
                    rolloverBalance: string;
                };
                Deposit: {
                    value: string;
                };
                SpendApproved: {
                    proposalIndex: string;
                    amount: string;
                    beneficiary: string;
                };
                UpdatedInactive: {
                    reactivated: string;
                    deactivated: string;
                };
                AssetSpendApproved: {
                    index: string;
                    assetKind: string;
                    amount: string;
                    beneficiary: string;
                    validFrom: string;
                    expireAt: string;
                };
                AssetSpendVoided: {
                    index: string;
                };
                Paid: {
                    index: string;
                    paymentId: string;
                };
                PaymentFailed: {
                    index: string;
                    paymentId: string;
                };
                SpendProcessed: {
                    index: string;
                };
            };
        };
        PalletSudoEvent: {
            _enum: {
                Sudid: {
                    sudoResult: string;
                };
                KeyChanged: {
                    oldSudoer: string;
                };
                SudoAsDone: {
                    sudoResult: string;
                };
            };
        };
        OrmlVestingModuleEvent: {
            _enum: {
                VestingScheduleAdded: {
                    from: string;
                    to: string;
                    vestingSchedule: string;
                };
                Claimed: {
                    who: string;
                    amount: string;
                };
                VestingSchedulesUpdated: {
                    who: string;
                };
            };
        };
        OrmlVestingVestingSchedule: {
            start: string;
            period: string;
            periodCount: string;
            perPeriod: string;
        };
        OrmlXtokensModuleEvent: {
            _enum: {
                TransferredMultiAssets: {
                    sender: string;
                    assets: string;
                    fee: string;
                    dest: string;
                };
            };
        };
        XcmV3MultiassetMultiAssets: string;
        XcmV3MultiAsset: {
            id: string;
            fun: string;
        };
        XcmV3MultiassetAssetId: {
            _enum: {
                Concrete: string;
                Abstract: string;
            };
        };
        StagingXcmV3MultiLocation: {
            parents: string;
            interior: string;
        };
        XcmV3Junctions: {
            _enum: {
                Here: string;
                X1: string;
                X2: string;
                X3: string;
                X4: string;
                X5: string;
                X6: string;
                X7: string;
                X8: string;
            };
        };
        XcmV3Junction: {
            _enum: {
                Parachain: string;
                AccountId32: {
                    network: string;
                    id: string;
                };
                AccountIndex64: {
                    network: string;
                    index: string;
                };
                AccountKey20: {
                    network: string;
                    key: string;
                };
                PalletInstance: string;
                GeneralIndex: string;
                GeneralKey: {
                    length: string;
                    data: string;
                };
                OnlyChild: string;
                Plurality: {
                    id: string;
                    part: string;
                };
                GlobalConsensus: string;
            };
        };
        XcmV3JunctionNetworkId: {
            _enum: {
                ByGenesis: string;
                ByFork: {
                    blockNumber: string;
                    blockHash: string;
                };
                Polkadot: string;
                Kusama: string;
                Westend: string;
                Rococo: string;
                Wococo: string;
                Ethereum: {
                    chainId: string;
                };
                BitcoinCore: string;
                BitcoinCash: string;
            };
        };
        XcmV3JunctionBodyId: {
            _enum: {
                Unit: string;
                Moniker: string;
                Index: string;
                Executive: string;
                Technical: string;
                Legislative: string;
                Judicial: string;
                Defense: string;
                Administration: string;
                Treasury: string;
            };
        };
        XcmV3JunctionBodyPart: {
            _enum: {
                Voice: string;
                Members: {
                    count: string;
                };
                Fraction: {
                    nom: string;
                    denom: string;
                };
                AtLeastProportion: {
                    nom: string;
                    denom: string;
                };
                MoreThanProportion: {
                    nom: string;
                    denom: string;
                };
            };
        };
        XcmV3MultiassetFungibility: {
            _enum: {
                Fungible: string;
                NonFungible: string;
            };
        };
        XcmV3MultiassetAssetInstance: {
            _enum: {
                Undefined: string;
                Index: string;
                Array4: string;
                Array8: string;
                Array16: string;
                Array32: string;
            };
        };
        PalletIdentityEvent: {
            _enum: {
                IdentitySet: {
                    who: string;
                };
                IdentityCleared: {
                    who: string;
                    deposit: string;
                };
                IdentityKilled: {
                    who: string;
                    deposit: string;
                };
                IdentitiesInserted: {
                    amount: string;
                };
                IdentitiesRemoved: {
                    amount: string;
                };
                JudgementRequested: {
                    who: string;
                    registrarIndex: string;
                };
                JudgementUnrequested: {
                    who: string;
                    registrarIndex: string;
                };
                JudgementGiven: {
                    target: string;
                    registrarIndex: string;
                };
                RegistrarAdded: {
                    registrarIndex: string;
                };
                SubIdentityAdded: {
                    sub: string;
                    main: string;
                    deposit: string;
                };
                SubIdentityRemoved: {
                    sub: string;
                    main: string;
                    deposit: string;
                };
                SubIdentityRevoked: {
                    sub: string;
                    main: string;
                    deposit: string;
                };
                SubIdentitiesInserted: {
                    amount: string;
                };
            };
        };
        PalletPreimageEvent: {
            _enum: {
                Noted: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                Requested: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                Cleared: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
            };
        };
        PalletDemocracyEvent: {
            _enum: {
                Proposed: {
                    proposalIndex: string;
                    deposit: string;
                };
                Tabled: {
                    proposalIndex: string;
                    deposit: string;
                };
                ExternalTabled: string;
                Started: {
                    refIndex: string;
                    threshold: string;
                };
                Passed: {
                    refIndex: string;
                };
                NotPassed: {
                    refIndex: string;
                };
                Cancelled: {
                    refIndex: string;
                };
                Delegated: {
                    who: string;
                    target: string;
                };
                Undelegated: {
                    account: string;
                };
                Vetoed: {
                    who: string;
                    proposalHash: string;
                    until: string;
                };
                Blacklisted: {
                    proposalHash: string;
                };
                Voted: {
                    voter: string;
                    refIndex: string;
                    vote: string;
                };
                Seconded: {
                    seconder: string;
                    propIndex: string;
                };
                ProposalCanceled: {
                    propIndex: string;
                };
                MetadataSet: {
                    _alias: {
                        hash_: string;
                    };
                    owner: string;
                    hash_: string;
                };
                MetadataCleared: {
                    _alias: {
                        hash_: string;
                    };
                    owner: string;
                    hash_: string;
                };
                MetadataTransferred: {
                    _alias: {
                        hash_: string;
                    };
                    prevOwner: string;
                    owner: string;
                    hash_: string;
                };
            };
        };
        PalletDemocracyVoteThreshold: {
            _enum: string[];
        };
        PalletDemocracyVoteAccountVote: {
            _enum: {
                Standard: {
                    vote: string;
                    balance: string;
                };
                Split: {
                    aye: string;
                    nay: string;
                };
            };
        };
        PalletDemocracyMetadataOwner: {
            _enum: {
                External: string;
                Proposal: string;
                Referendum: string;
            };
        };
        PalletCollectiveEvent: {
            _enum: {
                Proposed: {
                    account: string;
                    proposalIndex: string;
                    proposalHash: string;
                    threshold: string;
                };
                Voted: {
                    account: string;
                    proposalHash: string;
                    voted: string;
                    yes: string;
                    no: string;
                };
                Approved: {
                    proposalHash: string;
                };
                Disapproved: {
                    proposalHash: string;
                };
                Executed: {
                    proposalHash: string;
                    result: string;
                };
                MemberExecuted: {
                    proposalHash: string;
                    result: string;
                };
                Closed: {
                    proposalHash: string;
                    yes: string;
                    no: string;
                };
            };
        };
        PalletMembershipEvent: {
            _enum: string[];
        };
        PalletRankedCollectiveEvent: {
            _enum: {
                MemberAdded: {
                    who: string;
                };
                RankChanged: {
                    who: string;
                    rank: string;
                };
                MemberRemoved: {
                    who: string;
                    rank: string;
                };
                Voted: {
                    who: string;
                    poll: string;
                    vote: string;
                    tally: string;
                };
            };
        };
        PalletRankedCollectiveVoteRecord: {
            _enum: {
                Aye: string;
                Nay: string;
            };
        };
        PalletRankedCollectiveTally: {
            bareAyes: string;
            ayes: string;
            nays: string;
        };
        PalletReferendaEvent: {
            _enum: {
                Submitted: {
                    index: string;
                    track: string;
                    proposal: string;
                };
                DecisionDepositPlaced: {
                    index: string;
                    who: string;
                    amount: string;
                };
                DecisionDepositRefunded: {
                    index: string;
                    who: string;
                    amount: string;
                };
                DepositSlashed: {
                    who: string;
                    amount: string;
                };
                DecisionStarted: {
                    index: string;
                    track: string;
                    proposal: string;
                    tally: string;
                };
                ConfirmStarted: {
                    index: string;
                };
                ConfirmAborted: {
                    index: string;
                };
                Confirmed: {
                    index: string;
                    tally: string;
                };
                Approved: {
                    index: string;
                };
                Rejected: {
                    index: string;
                    tally: string;
                };
                TimedOut: {
                    index: string;
                    tally: string;
                };
                Cancelled: {
                    index: string;
                    tally: string;
                };
                Killed: {
                    index: string;
                    tally: string;
                };
                SubmissionDepositRefunded: {
                    index: string;
                    who: string;
                    amount: string;
                };
                MetadataSet: {
                    _alias: {
                        hash_: string;
                    };
                    index: string;
                    hash_: string;
                };
                MetadataCleared: {
                    _alias: {
                        hash_: string;
                    };
                    index: string;
                    hash_: string;
                };
            };
        };
        FrameSupportPreimagesBounded: {
            _enum: {
                Legacy: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                Inline: string;
                Lookup: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                    len: string;
                };
            };
        };
        FrameSystemCall: {
            _enum: {
                remark: {
                    remark: string;
                };
                set_heap_pages: {
                    pages: string;
                };
                set_code: {
                    code: string;
                };
                set_code_without_checks: {
                    code: string;
                };
                set_storage: {
                    items: string;
                };
                kill_storage: {
                    _alias: {
                        keys_: string;
                    };
                    keys_: string;
                };
                kill_prefix: {
                    prefix: string;
                    subkeys: string;
                };
                remark_with_event: {
                    remark: string;
                };
            };
        };
        PalletStateTrieMigrationCall: {
            _enum: {
                control_auto_migration: {
                    maybeConfig: string;
                };
                continue_migrate: {
                    limits: string;
                    realSizeUpper: string;
                    witnessTask: string;
                };
                migrate_custom_top: {
                    _alias: {
                        keys_: string;
                    };
                    keys_: string;
                    witnessSize: string;
                };
                migrate_custom_child: {
                    root: string;
                    childKeys: string;
                    totalSize: string;
                };
                set_signed_max_limits: {
                    limits: string;
                };
                force_set_progress: {
                    progressTop: string;
                    progressChild: string;
                };
            };
        };
        PalletStateTrieMigrationMigrationLimits: {
            _alias: {
                size_: string;
            };
            size_: string;
            item: string;
        };
        PalletStateTrieMigrationMigrationTask: {
            _alias: {
                size_: string;
            };
            progressTop: string;
            progressChild: string;
            size_: string;
            topItems: string;
            childItems: string;
        };
        PalletStateTrieMigrationProgress: {
            _enum: {
                ToStart: string;
                LastKey: string;
                Complete: string;
            };
        };
        CumulusPalletParachainSystemCall: {
            _enum: {
                set_validation_data: {
                    data: string;
                };
                sudo_send_upward_message: {
                    message: string;
                };
                authorize_upgrade: {
                    codeHash: string;
                    checkVersion: string;
                };
                enact_authorized_upgrade: {
                    code: string;
                };
            };
        };
        CumulusPrimitivesParachainInherentParachainInherentData: {
            validationData: string;
            relayChainState: string;
            downwardMessages: string;
            horizontalMessages: string;
        };
        PolkadotPrimitivesV6PersistedValidationData: {
            parentHead: string;
            relayParentNumber: string;
            relayParentStorageRoot: string;
            maxPovSize: string;
        };
        SpTrieStorageProof: {
            trieNodes: string;
        };
        PolkadotCorePrimitivesInboundDownwardMessage: {
            sentAt: string;
            msg: string;
        };
        PolkadotCorePrimitivesInboundHrmpMessage: {
            sentAt: string;
            data: string;
        };
        StagingParachainInfoCall: string;
        PalletCollatorSelectionCall: {
            _enum: {
                add_invulnerable: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                remove_invulnerable: {
                    who: string;
                };
                get_license: string;
                onboard: string;
                offboard: string;
                release_license: string;
                force_release_license: {
                    who: string;
                };
            };
        };
        PalletSessionCall: {
            _enum: {
                set_keys: {
                    _alias: {
                        keys_: string;
                    };
                    keys_: string;
                    proof: string;
                };
                purge_keys: string;
            };
        };
        QuartzRuntimeRuntimeCommonSessionKeys: {
            aura: string;
        };
        SpConsensusAuraSr25519AppSr25519Public: string;
        SpCoreSr25519Public: string;
        PalletBalancesCall: {
            _enum: {
                transfer_allow_death: {
                    dest: string;
                    value: string;
                };
                __Unused1: string;
                force_transfer: {
                    source: string;
                    dest: string;
                    value: string;
                };
                transfer_keep_alive: {
                    dest: string;
                    value: string;
                };
                transfer_all: {
                    dest: string;
                    keepAlive: string;
                };
                force_unreserve: {
                    who: string;
                    amount: string;
                };
                upgrade_accounts: {
                    who: string;
                };
                __Unused7: string;
                force_set_balance: {
                    who: string;
                    newFree: string;
                };
            };
        };
        PalletTimestampCall: {
            _enum: {
                set: {
                    now: string;
                };
            };
        };
        PalletTreasuryCall: {
            _enum: {
                propose_spend: {
                    value: string;
                    beneficiary: string;
                };
                reject_proposal: {
                    proposalId: string;
                };
                approve_proposal: {
                    proposalId: string;
                };
                spend_local: {
                    amount: string;
                    beneficiary: string;
                };
                remove_approval: {
                    proposalId: string;
                };
                spend: {
                    assetKind: string;
                    amount: string;
                    beneficiary: string;
                    validFrom: string;
                };
                payout: {
                    index: string;
                };
                check_status: {
                    index: string;
                };
                void_spend: {
                    index: string;
                };
            };
        };
        PalletSudoCall: {
            _enum: {
                sudo: {
                    call: string;
                };
                sudo_unchecked_weight: {
                    call: string;
                    weight: string;
                };
                set_key: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                sudo_as: {
                    who: string;
                    call: string;
                };
            };
        };
        OrmlVestingModuleCall: {
            _enum: {
                claim: string;
                vested_transfer: {
                    dest: string;
                    schedule: string;
                };
                update_vesting_schedules: {
                    who: string;
                    vestingSchedules: string;
                };
                claim_for: {
                    dest: string;
                };
            };
        };
        OrmlXtokensModuleCall: {
            _enum: {
                transfer: {
                    currencyId: string;
                    amount: string;
                    dest: string;
                    destWeightLimit: string;
                };
                transfer_multiasset: {
                    asset: string;
                    dest: string;
                    destWeightLimit: string;
                };
                transfer_with_fee: {
                    currencyId: string;
                    amount: string;
                    fee: string;
                    dest: string;
                    destWeightLimit: string;
                };
                transfer_multiasset_with_fee: {
                    asset: string;
                    fee: string;
                    dest: string;
                    destWeightLimit: string;
                };
                transfer_multicurrencies: {
                    currencies: string;
                    feeItem: string;
                    dest: string;
                    destWeightLimit: string;
                };
                transfer_multiassets: {
                    assets: string;
                    feeItem: string;
                    dest: string;
                    destWeightLimit: string;
                };
            };
        };
        XcmVersionedMultiLocation: {
            _enum: {
                __Unused0: string;
                V2: string;
                __Unused2: string;
                V3: string;
            };
        };
        XcmV2MultiLocation: {
            parents: string;
            interior: string;
        };
        XcmV2MultilocationJunctions: {
            _enum: {
                Here: string;
                X1: string;
                X2: string;
                X3: string;
                X4: string;
                X5: string;
                X6: string;
                X7: string;
                X8: string;
            };
        };
        XcmV2Junction: {
            _enum: {
                Parachain: string;
                AccountId32: {
                    network: string;
                    id: string;
                };
                AccountIndex64: {
                    network: string;
                    index: string;
                };
                AccountKey20: {
                    network: string;
                    key: string;
                };
                PalletInstance: string;
                GeneralIndex: string;
                GeneralKey: string;
                OnlyChild: string;
                Plurality: {
                    id: string;
                    part: string;
                };
            };
        };
        XcmV2NetworkId: {
            _enum: {
                Any: string;
                Named: string;
                Polkadot: string;
                Kusama: string;
            };
        };
        XcmV2BodyId: {
            _enum: {
                Unit: string;
                Named: string;
                Index: string;
                Executive: string;
                Technical: string;
                Legislative: string;
                Judicial: string;
                Defense: string;
                Administration: string;
                Treasury: string;
            };
        };
        XcmV2BodyPart: {
            _enum: {
                Voice: string;
                Members: {
                    count: string;
                };
                Fraction: {
                    nom: string;
                    denom: string;
                };
                AtLeastProportion: {
                    nom: string;
                    denom: string;
                };
                MoreThanProportion: {
                    nom: string;
                    denom: string;
                };
            };
        };
        XcmV3WeightLimit: {
            _enum: {
                Unlimited: string;
                Limited: string;
            };
        };
        XcmVersionedMultiAsset: {
            _enum: {
                __Unused0: string;
                V2: string;
                __Unused2: string;
                V3: string;
            };
        };
        XcmV2MultiAsset: {
            id: string;
            fun: string;
        };
        XcmV2MultiassetAssetId: {
            _enum: {
                Concrete: string;
                Abstract: string;
            };
        };
        XcmV2MultiassetFungibility: {
            _enum: {
                Fungible: string;
                NonFungible: string;
            };
        };
        XcmV2MultiassetAssetInstance: {
            _enum: {
                Undefined: string;
                Index: string;
                Array4: string;
                Array8: string;
                Array16: string;
                Array32: string;
                Blob: string;
            };
        };
        XcmVersionedMultiAssets: {
            _enum: {
                __Unused0: string;
                V2: string;
                __Unused2: string;
                V3: string;
            };
        };
        XcmV2MultiassetMultiAssets: string;
        PalletIdentityCall: {
            _enum: {
                add_registrar: {
                    account: string;
                };
                set_identity: {
                    info: string;
                };
                set_subs: {
                    subs: string;
                };
                clear_identity: string;
                request_judgement: {
                    regIndex: string;
                    maxFee: string;
                };
                cancel_request: {
                    regIndex: string;
                };
                set_fee: {
                    index: string;
                    fee: string;
                };
                set_account_id: {
                    _alias: {
                        new_: string;
                    };
                    index: string;
                    new_: string;
                };
                set_fields: {
                    index: string;
                    fields: string;
                };
                provide_judgement: {
                    regIndex: string;
                    target: string;
                    judgement: string;
                    identity: string;
                };
                kill_identity: {
                    target: string;
                };
                add_sub: {
                    sub: string;
                    data: string;
                };
                rename_sub: {
                    sub: string;
                    data: string;
                };
                remove_sub: {
                    sub: string;
                };
                quit_sub: string;
                force_insert_identities: {
                    identities: string;
                };
                force_remove_identities: {
                    identities: string;
                };
                force_set_subs: {
                    subs: string;
                };
            };
        };
        PalletIdentityIdentityInfo: {
            additional: string;
            display: string;
            legal: string;
            web: string;
            riot: string;
            email: string;
            pgpFingerprint: string;
            image: string;
            twitter: string;
        };
        PalletIdentityBitFlags: {
            _bitLength: number;
            Display: number;
            Legal: number;
            Web: number;
            Riot: number;
            Email: number;
            PgpFingerprint: number;
            Image: number;
            Twitter: number;
        };
        PalletIdentityIdentityField: {
            _enum: string[];
        };
        PalletIdentityJudgement: {
            _enum: {
                Unknown: string;
                FeePaid: string;
                Reasonable: string;
                KnownGood: string;
                OutOfDate: string;
                LowQuality: string;
                Erroneous: string;
            };
        };
        PalletIdentityRegistration: {
            judgements: string;
            deposit: string;
            info: string;
        };
        PalletPreimageCall: {
            _enum: {
                note_preimage: {
                    bytes: string;
                };
                unnote_preimage: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                request_preimage: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                unrequest_preimage: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                };
                ensure_updated: {
                    hashes: string;
                };
            };
        };
        PalletDemocracyCall: {
            _enum: {
                propose: {
                    proposal: string;
                    value: string;
                };
                second: {
                    proposal: string;
                };
                vote: {
                    refIndex: string;
                    vote: string;
                };
                emergency_cancel: {
                    refIndex: string;
                };
                external_propose: {
                    proposal: string;
                };
                external_propose_majority: {
                    proposal: string;
                };
                external_propose_default: {
                    proposal: string;
                };
                fast_track: {
                    proposalHash: string;
                    votingPeriod: string;
                    delay: string;
                };
                veto_external: {
                    proposalHash: string;
                };
                cancel_referendum: {
                    refIndex: string;
                };
                delegate: {
                    to: string;
                    conviction: string;
                    balance: string;
                };
                undelegate: string;
                clear_public_proposals: string;
                unlock: {
                    target: string;
                };
                remove_vote: {
                    index: string;
                };
                remove_other_vote: {
                    target: string;
                    index: string;
                };
                blacklist: {
                    proposalHash: string;
                    maybeRefIndex: string;
                };
                cancel_proposal: {
                    propIndex: string;
                };
                set_metadata: {
                    owner: string;
                    maybeHash: string;
                };
            };
        };
        PalletDemocracyConviction: {
            _enum: string[];
        };
        PalletCollectiveCall: {
            _enum: {
                set_members: {
                    newMembers: string;
                    prime: string;
                    oldCount: string;
                };
                execute: {
                    proposal: string;
                    lengthBound: string;
                };
                propose: {
                    threshold: string;
                    proposal: string;
                    lengthBound: string;
                };
                vote: {
                    proposal: string;
                    index: string;
                    approve: string;
                };
                __Unused4: string;
                disapprove_proposal: {
                    proposalHash: string;
                };
                close: {
                    proposalHash: string;
                    index: string;
                    proposalWeightBound: string;
                    lengthBound: string;
                };
            };
        };
        PalletMembershipCall: {
            _enum: {
                add_member: {
                    who: string;
                };
                remove_member: {
                    who: string;
                };
                swap_member: {
                    remove: string;
                    add: string;
                };
                reset_members: {
                    members: string;
                };
                change_key: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                set_prime: {
                    who: string;
                };
                clear_prime: string;
            };
        };
        PalletRankedCollectiveCall: {
            _enum: {
                add_member: {
                    who: string;
                };
                promote_member: {
                    who: string;
                };
                demote_member: {
                    who: string;
                };
                remove_member: {
                    who: string;
                    minRank: string;
                };
                vote: {
                    poll: string;
                    aye: string;
                };
                cleanup_poll: {
                    pollIndex: string;
                    max: string;
                };
            };
        };
        PalletReferendaCall: {
            _enum: {
                submit: {
                    proposalOrigin: string;
                    proposal: string;
                    enactmentMoment: string;
                };
                place_decision_deposit: {
                    index: string;
                };
                refund_decision_deposit: {
                    index: string;
                };
                cancel: {
                    index: string;
                };
                kill: {
                    index: string;
                };
                nudge_referendum: {
                    index: string;
                };
                one_fewer_deciding: {
                    track: string;
                };
                refund_submission_deposit: {
                    index: string;
                };
                set_metadata: {
                    index: string;
                    maybeHash: string;
                };
            };
        };
        QuartzRuntimeOriginCaller: {
            _enum: {
                system: string;
                __Unused1: string;
                __Unused2: string;
                __Unused3: string;
                __Unused4: string;
                __Unused5: string;
                __Unused6: string;
                Void: string;
                __Unused8: string;
                __Unused9: string;
                __Unused10: string;
                __Unused11: string;
                __Unused12: string;
                __Unused13: string;
                __Unused14: string;
                __Unused15: string;
                __Unused16: string;
                __Unused17: string;
                __Unused18: string;
                __Unused19: string;
                __Unused20: string;
                __Unused21: string;
                __Unused22: string;
                __Unused23: string;
                __Unused24: string;
                __Unused25: string;
                __Unused26: string;
                __Unused27: string;
                __Unused28: string;
                __Unused29: string;
                __Unused30: string;
                __Unused31: string;
                __Unused32: string;
                __Unused33: string;
                __Unused34: string;
                __Unused35: string;
                __Unused36: string;
                __Unused37: string;
                __Unused38: string;
                __Unused39: string;
                __Unused40: string;
                __Unused41: string;
                __Unused42: string;
                Council: string;
                TechnicalCommittee: string;
                __Unused45: string;
                __Unused46: string;
                __Unused47: string;
                __Unused48: string;
                __Unused49: string;
                __Unused50: string;
                PolkadotXcm: string;
                CumulusXcm: string;
                __Unused53: string;
                __Unused54: string;
                __Unused55: string;
                __Unused56: string;
                __Unused57: string;
                __Unused58: string;
                __Unused59: string;
                __Unused60: string;
                __Unused61: string;
                __Unused62: string;
                __Unused63: string;
                __Unused64: string;
                __Unused65: string;
                __Unused66: string;
                __Unused67: string;
                __Unused68: string;
                __Unused69: string;
                __Unused70: string;
                __Unused71: string;
                __Unused72: string;
                __Unused73: string;
                __Unused74: string;
                __Unused75: string;
                __Unused76: string;
                __Unused77: string;
                __Unused78: string;
                __Unused79: string;
                __Unused80: string;
                __Unused81: string;
                __Unused82: string;
                __Unused83: string;
                __Unused84: string;
                __Unused85: string;
                __Unused86: string;
                __Unused87: string;
                __Unused88: string;
                __Unused89: string;
                __Unused90: string;
                __Unused91: string;
                __Unused92: string;
                __Unused93: string;
                __Unused94: string;
                __Unused95: string;
                __Unused96: string;
                __Unused97: string;
                __Unused98: string;
                Origins: string;
                __Unused100: string;
                Ethereum: string;
            };
        };
        FrameSupportDispatchRawOrigin: {
            _enum: {
                Root: string;
                Signed: string;
                None: string;
            };
        };
        PalletCollectiveRawOrigin: {
            _enum: {
                Members: string;
                Member: string;
                _Phantom: string;
            };
        };
        PalletGovOriginsOrigin: {
            _enum: string[];
        };
        PalletXcmOrigin: {
            _enum: {
                Xcm: string;
                Response: string;
            };
        };
        CumulusPalletXcmOrigin: {
            _enum: {
                Relay: string;
                SiblingParachain: string;
            };
        };
        PalletEthereumRawOrigin: {
            _enum: {
                EthereumTransaction: string;
            };
        };
        SpCoreVoid: string;
        FrameSupportScheduleDispatchTime: {
            _enum: {
                At: string;
                After: string;
            };
        };
        PalletSchedulerCall: {
            _enum: {
                schedule: {
                    when: string;
                    maybePeriodic: string;
                    priority: string;
                    call: string;
                };
                cancel: {
                    when: string;
                    index: string;
                };
                schedule_named: {
                    id: string;
                    when: string;
                    maybePeriodic: string;
                    priority: string;
                    call: string;
                };
                cancel_named: {
                    id: string;
                };
                schedule_after: {
                    after: string;
                    maybePeriodic: string;
                    priority: string;
                    call: string;
                };
                schedule_named_after: {
                    id: string;
                    after: string;
                    maybePeriodic: string;
                    priority: string;
                    call: string;
                };
            };
        };
        CumulusPalletXcmpQueueCall: {
            _enum: {
                service_overweight: {
                    index: string;
                    weightLimit: string;
                };
                suspend_xcm_execution: string;
                resume_xcm_execution: string;
                update_suspend_threshold: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                update_drop_threshold: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                update_resume_threshold: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                update_threshold_weight: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                update_weight_restrict_decay: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
                update_xcmp_max_individual_weight: {
                    _alias: {
                        new_: string;
                    };
                    new_: string;
                };
            };
        };
        PalletXcmCall: {
            _enum: {
                send: {
                    dest: string;
                    message: string;
                };
                teleport_assets: {
                    dest: string;
                    beneficiary: string;
                    assets: string;
                    feeAssetItem: string;
                };
                reserve_transfer_assets: {
                    dest: string;
                    beneficiary: string;
                    assets: string;
                    feeAssetItem: string;
                };
                execute: {
                    message: string;
                    maxWeight: string;
                };
                force_xcm_version: {
                    location: string;
                    version: string;
                };
                force_default_xcm_version: {
                    maybeXcmVersion: string;
                };
                force_subscribe_version_notify: {
                    location: string;
                };
                force_unsubscribe_version_notify: {
                    location: string;
                };
                limited_reserve_transfer_assets: {
                    dest: string;
                    beneficiary: string;
                    assets: string;
                    feeAssetItem: string;
                    weightLimit: string;
                };
                limited_teleport_assets: {
                    dest: string;
                    beneficiary: string;
                    assets: string;
                    feeAssetItem: string;
                    weightLimit: string;
                };
                force_suspension: {
                    suspended: string;
                };
            };
        };
        XcmVersionedXcm: {
            _enum: {
                __Unused0: string;
                __Unused1: string;
                V2: string;
                V3: string;
            };
        };
        XcmV2Xcm: string;
        XcmV2Instruction: {
            _enum: {
                WithdrawAsset: string;
                ReserveAssetDeposited: string;
                ReceiveTeleportedAsset: string;
                QueryResponse: {
                    queryId: string;
                    response: string;
                    maxWeight: string;
                };
                TransferAsset: {
                    assets: string;
                    beneficiary: string;
                };
                TransferReserveAsset: {
                    assets: string;
                    dest: string;
                    xcm: string;
                };
                Transact: {
                    originType: string;
                    requireWeightAtMost: string;
                    call: string;
                };
                HrmpNewChannelOpenRequest: {
                    sender: string;
                    maxMessageSize: string;
                    maxCapacity: string;
                };
                HrmpChannelAccepted: {
                    recipient: string;
                };
                HrmpChannelClosing: {
                    initiator: string;
                    sender: string;
                    recipient: string;
                };
                ClearOrigin: string;
                DescendOrigin: string;
                ReportError: {
                    queryId: string;
                    dest: string;
                    maxResponseWeight: string;
                };
                DepositAsset: {
                    assets: string;
                    maxAssets: string;
                    beneficiary: string;
                };
                DepositReserveAsset: {
                    assets: string;
                    maxAssets: string;
                    dest: string;
                    xcm: string;
                };
                ExchangeAsset: {
                    give: string;
                    receive: string;
                };
                InitiateReserveWithdraw: {
                    assets: string;
                    reserve: string;
                    xcm: string;
                };
                InitiateTeleport: {
                    assets: string;
                    dest: string;
                    xcm: string;
                };
                QueryHolding: {
                    queryId: string;
                    dest: string;
                    assets: string;
                    maxResponseWeight: string;
                };
                BuyExecution: {
                    fees: string;
                    weightLimit: string;
                };
                RefundSurplus: string;
                SetErrorHandler: string;
                SetAppendix: string;
                ClearError: string;
                ClaimAsset: {
                    assets: string;
                    ticket: string;
                };
                Trap: string;
                SubscribeVersion: {
                    queryId: string;
                    maxResponseWeight: string;
                };
                UnsubscribeVersion: string;
            };
        };
        XcmV2Response: {
            _enum: {
                Null: string;
                Assets: string;
                ExecutionResult: string;
                Version: string;
            };
        };
        XcmV2TraitsError: {
            _enum: {
                Overflow: string;
                Unimplemented: string;
                UntrustedReserveLocation: string;
                UntrustedTeleportLocation: string;
                MultiLocationFull: string;
                MultiLocationNotInvertible: string;
                BadOrigin: string;
                InvalidLocation: string;
                AssetNotFound: string;
                FailedToTransactAsset: string;
                NotWithdrawable: string;
                LocationCannotHold: string;
                ExceedsMaxMessageSize: string;
                DestinationUnsupported: string;
                Transport: string;
                Unroutable: string;
                UnknownClaim: string;
                FailedToDecode: string;
                MaxWeightInvalid: string;
                NotHoldingFees: string;
                TooExpensive: string;
                Trap: string;
                UnhandledXcmVersion: string;
                WeightLimitReached: string;
                Barrier: string;
                WeightNotComputable: string;
            };
        };
        XcmV2OriginKind: {
            _enum: string[];
        };
        XcmDoubleEncoded: {
            encoded: string;
        };
        XcmV2MultiassetMultiAssetFilter: {
            _enum: {
                Definite: string;
                Wild: string;
            };
        };
        XcmV2MultiassetWildMultiAsset: {
            _enum: {
                All: string;
                AllOf: {
                    id: string;
                    fun: string;
                };
            };
        };
        XcmV2MultiassetWildFungibility: {
            _enum: string[];
        };
        XcmV2WeightLimit: {
            _enum: {
                Unlimited: string;
                Limited: string;
            };
        };
        XcmV3Xcm: string;
        XcmV3Instruction: {
            _enum: {
                WithdrawAsset: string;
                ReserveAssetDeposited: string;
                ReceiveTeleportedAsset: string;
                QueryResponse: {
                    queryId: string;
                    response: string;
                    maxWeight: string;
                    querier: string;
                };
                TransferAsset: {
                    assets: string;
                    beneficiary: string;
                };
                TransferReserveAsset: {
                    assets: string;
                    dest: string;
                    xcm: string;
                };
                Transact: {
                    originKind: string;
                    requireWeightAtMost: string;
                    call: string;
                };
                HrmpNewChannelOpenRequest: {
                    sender: string;
                    maxMessageSize: string;
                    maxCapacity: string;
                };
                HrmpChannelAccepted: {
                    recipient: string;
                };
                HrmpChannelClosing: {
                    initiator: string;
                    sender: string;
                    recipient: string;
                };
                ClearOrigin: string;
                DescendOrigin: string;
                ReportError: string;
                DepositAsset: {
                    assets: string;
                    beneficiary: string;
                };
                DepositReserveAsset: {
                    assets: string;
                    dest: string;
                    xcm: string;
                };
                ExchangeAsset: {
                    give: string;
                    want: string;
                    maximal: string;
                };
                InitiateReserveWithdraw: {
                    assets: string;
                    reserve: string;
                    xcm: string;
                };
                InitiateTeleport: {
                    assets: string;
                    dest: string;
                    xcm: string;
                };
                ReportHolding: {
                    responseInfo: string;
                    assets: string;
                };
                BuyExecution: {
                    fees: string;
                    weightLimit: string;
                };
                RefundSurplus: string;
                SetErrorHandler: string;
                SetAppendix: string;
                ClearError: string;
                ClaimAsset: {
                    assets: string;
                    ticket: string;
                };
                Trap: string;
                SubscribeVersion: {
                    queryId: string;
                    maxResponseWeight: string;
                };
                UnsubscribeVersion: string;
                BurnAsset: string;
                ExpectAsset: string;
                ExpectOrigin: string;
                ExpectError: string;
                ExpectTransactStatus: string;
                QueryPallet: {
                    moduleName: string;
                    responseInfo: string;
                };
                ExpectPallet: {
                    index: string;
                    name: string;
                    moduleName: string;
                    crateMajor: string;
                    minCrateMinor: string;
                };
                ReportTransactStatus: string;
                ClearTransactStatus: string;
                UniversalOrigin: string;
                ExportMessage: {
                    network: string;
                    destination: string;
                    xcm: string;
                };
                LockAsset: {
                    asset: string;
                    unlocker: string;
                };
                UnlockAsset: {
                    asset: string;
                    target: string;
                };
                NoteUnlockable: {
                    asset: string;
                    owner: string;
                };
                RequestUnlock: {
                    asset: string;
                    locker: string;
                };
                SetFeesMode: {
                    jitWithdraw: string;
                };
                SetTopic: string;
                ClearTopic: string;
                AliasOrigin: string;
                UnpaidExecution: {
                    weightLimit: string;
                    checkOrigin: string;
                };
            };
        };
        XcmV3Response: {
            _enum: {
                Null: string;
                Assets: string;
                ExecutionResult: string;
                Version: string;
                PalletsInfo: string;
                DispatchResult: string;
            };
        };
        XcmV3TraitsError: {
            _enum: {
                Overflow: string;
                Unimplemented: string;
                UntrustedReserveLocation: string;
                UntrustedTeleportLocation: string;
                LocationFull: string;
                LocationNotInvertible: string;
                BadOrigin: string;
                InvalidLocation: string;
                AssetNotFound: string;
                FailedToTransactAsset: string;
                NotWithdrawable: string;
                LocationCannotHold: string;
                ExceedsMaxMessageSize: string;
                DestinationUnsupported: string;
                Transport: string;
                Unroutable: string;
                UnknownClaim: string;
                FailedToDecode: string;
                MaxWeightInvalid: string;
                NotHoldingFees: string;
                TooExpensive: string;
                Trap: string;
                ExpectationFalse: string;
                PalletNotFound: string;
                NameMismatch: string;
                VersionIncompatible: string;
                HoldingWouldOverflow: string;
                ExportError: string;
                ReanchorFailed: string;
                NoDeal: string;
                FeesNotMet: string;
                LockError: string;
                NoPermission: string;
                Unanchored: string;
                NotDepositable: string;
                UnhandledXcmVersion: string;
                WeightLimitReached: string;
                Barrier: string;
                WeightNotComputable: string;
                ExceedsStackLimit: string;
            };
        };
        XcmV3PalletInfo: {
            index: string;
            name: string;
            moduleName: string;
            major: string;
            minor: string;
            patch: string;
        };
        XcmV3MaybeErrorCode: {
            _enum: {
                Success: string;
                Error: string;
                TruncatedError: string;
            };
        };
        XcmV3QueryResponseInfo: {
            destination: string;
            queryId: string;
            maxWeight: string;
        };
        XcmV3MultiassetMultiAssetFilter: {
            _enum: {
                Definite: string;
                Wild: string;
            };
        };
        XcmV3MultiassetWildMultiAsset: {
            _enum: {
                All: string;
                AllOf: {
                    id: string;
                    fun: string;
                };
                AllCounted: string;
                AllOfCounted: {
                    id: string;
                    fun: string;
                    count: string;
                };
            };
        };
        XcmV3MultiassetWildFungibility: {
            _enum: string[];
        };
        CumulusPalletXcmCall: string;
        CumulusPalletDmpQueueCall: {
            _enum: {
                service_overweight: {
                    index: string;
                    weightLimit: string;
                };
            };
        };
        PalletInflationCall: {
            _enum: {
                start_inflation: {
                    inflationStartRelayBlock: string;
                };
            };
        };
        PalletUniqueCall: {
            _enum: {
                create_collection: {
                    collectionName: string;
                    collectionDescription: string;
                    tokenPrefix: string;
                    mode: string;
                };
                create_collection_ex: {
                    data: string;
                };
                destroy_collection: {
                    collectionId: string;
                };
                add_to_allow_list: {
                    collectionId: string;
                    address: string;
                };
                remove_from_allow_list: {
                    collectionId: string;
                    address: string;
                };
                change_collection_owner: {
                    collectionId: string;
                    newOwner: string;
                };
                add_collection_admin: {
                    collectionId: string;
                    newAdminId: string;
                };
                remove_collection_admin: {
                    collectionId: string;
                    accountId: string;
                };
                set_collection_sponsor: {
                    collectionId: string;
                    newSponsor: string;
                };
                confirm_sponsorship: {
                    collectionId: string;
                };
                remove_collection_sponsor: {
                    collectionId: string;
                };
                create_item: {
                    collectionId: string;
                    owner: string;
                    data: string;
                };
                create_multiple_items: {
                    collectionId: string;
                    owner: string;
                    itemsData: string;
                };
                set_collection_properties: {
                    collectionId: string;
                    properties: string;
                };
                delete_collection_properties: {
                    collectionId: string;
                    propertyKeys: string;
                };
                set_token_properties: {
                    collectionId: string;
                    tokenId: string;
                    properties: string;
                };
                delete_token_properties: {
                    collectionId: string;
                    tokenId: string;
                    propertyKeys: string;
                };
                set_token_property_permissions: {
                    collectionId: string;
                    propertyPermissions: string;
                };
                create_multiple_items_ex: {
                    collectionId: string;
                    data: string;
                };
                set_transfers_enabled_flag: {
                    collectionId: string;
                    value: string;
                };
                burn_item: {
                    collectionId: string;
                    itemId: string;
                    value: string;
                };
                burn_from: {
                    collectionId: string;
                    from: string;
                    itemId: string;
                    value: string;
                };
                transfer: {
                    recipient: string;
                    collectionId: string;
                    itemId: string;
                    value: string;
                };
                approve: {
                    spender: string;
                    collectionId: string;
                    itemId: string;
                    amount: string;
                };
                approve_from: {
                    from: string;
                    to: string;
                    collectionId: string;
                    itemId: string;
                    amount: string;
                };
                transfer_from: {
                    from: string;
                    recipient: string;
                    collectionId: string;
                    itemId: string;
                    value: string;
                };
                set_collection_limits: {
                    collectionId: string;
                    newLimit: string;
                };
                set_collection_permissions: {
                    collectionId: string;
                    newPermission: string;
                };
                repartition: {
                    collectionId: string;
                    tokenId: string;
                    amount: string;
                };
                set_allowance_for_all: {
                    collectionId: string;
                    operator: string;
                    approve: string;
                };
                force_repair_collection: {
                    collectionId: string;
                };
                force_repair_item: {
                    collectionId: string;
                    itemId: string;
                };
            };
        };
        UpDataStructsCollectionMode: {
            _enum: {
                NFT: string;
                Fungible: string;
                ReFungible: string;
            };
        };
        UpDataStructsCreateCollectionData: {
            mode: string;
            access: string;
            name: string;
            description: string;
            tokenPrefix: string;
            limits: string;
            permissions: string;
            tokenPropertyPermissions: string;
            properties: string;
            adminList: string;
            pendingSponsor: string;
            flags: string;
        };
        PalletEvmAccountBasicCrossAccountIdRepr: {
            _enum: {
                Substrate: string;
                Ethereum: string;
            };
        };
        UpDataStructsAccessMode: {
            _enum: string[];
        };
        UpDataStructsCollectionLimits: {
            accountTokenOwnershipLimit: string;
            sponsoredDataSize: string;
            sponsoredDataRateLimit: string;
            tokenLimit: string;
            sponsorTransferTimeout: string;
            sponsorApproveTimeout: string;
            ownerCanTransfer: string;
            ownerCanDestroy: string;
            transfersEnabled: string;
        };
        UpDataStructsSponsoringRateLimit: {
            _enum: {
                SponsoringDisabled: string;
                Blocks: string;
            };
        };
        UpDataStructsCollectionPermissions: {
            access: string;
            mintMode: string;
            nesting: string;
        };
        UpDataStructsNestingPermissions: {
            tokenOwner: string;
            collectionAdmin: string;
            restricted: string;
        };
        UpDataStructsOwnerRestrictedSet: string;
        UpDataStructsPropertyKeyPermission: {
            key: string;
            permission: string;
        };
        UpDataStructsPropertyPermission: {
            mutable: string;
            collectionAdmin: string;
            tokenOwner: string;
        };
        UpDataStructsProperty: {
            key: string;
            value: string;
        };
        UpDataStructsCreateItemData: {
            _enum: {
                NFT: string;
                Fungible: string;
                ReFungible: string;
            };
        };
        UpDataStructsCreateNftData: {
            properties: string;
        };
        UpDataStructsCreateFungibleData: {
            value: string;
        };
        UpDataStructsCreateReFungibleData: {
            pieces: string;
            properties: string;
        };
        UpDataStructsCreateItemExData: {
            _enum: {
                NFT: string;
                Fungible: string;
                RefungibleMultipleItems: string;
                RefungibleMultipleOwners: string;
            };
        };
        UpDataStructsCreateNftExData: {
            properties: string;
            owner: string;
        };
        UpDataStructsCreateRefungibleExSingleOwner: {
            user: string;
            pieces: string;
            properties: string;
        };
        UpDataStructsCreateRefungibleExMultipleOwners: {
            users: string;
            properties: string;
        };
        PalletConfigurationCall: {
            _enum: {
                set_weight_to_fee_coefficient_override: {
                    coeff: string;
                };
                set_min_gas_price_override: {
                    coeff: string;
                };
                __Unused2: string;
                set_app_promotion_configuration_override: {
                    configuration: string;
                };
                set_collator_selection_desired_collators: {
                    max: string;
                };
                set_collator_selection_license_bond: {
                    amount: string;
                };
                set_collator_selection_kick_threshold: {
                    threshold: string;
                };
            };
        };
        PalletConfigurationAppPromotionConfiguration: {
            recalculationInterval: string;
            pendingInterval: string;
            intervalIncome: string;
            maxStakersPerCalculation: string;
        };
        PalletStructureCall: string;
        PalletAppPromotionCall: {
            _enum: {
                set_admin_address: {
                    admin: string;
                };
                stake: {
                    amount: string;
                };
                unstake_all: string;
                sponsor_collection: {
                    collectionId: string;
                };
                stop_sponsoring_collection: {
                    collectionId: string;
                };
                sponsor_contract: {
                    contractId: string;
                };
                stop_sponsoring_contract: {
                    contractId: string;
                };
                payout_stakers: {
                    stakersNumber: string;
                };
                unstake_partial: {
                    amount: string;
                };
                force_unstake: {
                    pendingBlocks: string;
                };
            };
        };
        PalletForeignAssetsModuleCall: {
            _enum: {
                force_register_foreign_asset: {
                    versionedAssetId: string;
                    name: string;
                    tokenPrefix: string;
                    mode: string;
                };
            };
        };
        XcmVersionedAssetId: {
            _enum: {
                __Unused0: string;
                __Unused1: string;
                __Unused2: string;
                V3: string;
            };
        };
        PalletForeignAssetsForeignCollectionMode: {
            _enum: {
                NFT: string;
                Fungible: string;
            };
        };
        PalletEvmCall: {
            _enum: {
                withdraw: {
                    address: string;
                    value: string;
                };
                call: {
                    source: string;
                    target: string;
                    input: string;
                    value: string;
                    gasLimit: string;
                    maxFeePerGas: string;
                    maxPriorityFeePerGas: string;
                    nonce: string;
                    accessList: string;
                };
                create: {
                    source: string;
                    init: string;
                    value: string;
                    gasLimit: string;
                    maxFeePerGas: string;
                    maxPriorityFeePerGas: string;
                    nonce: string;
                    accessList: string;
                };
                create2: {
                    source: string;
                    init: string;
                    salt: string;
                    value: string;
                    gasLimit: string;
                    maxFeePerGas: string;
                    maxPriorityFeePerGas: string;
                    nonce: string;
                    accessList: string;
                };
            };
        };
        PalletEthereumCall: {
            _enum: {
                transact: {
                    transaction: string;
                };
            };
        };
        EthereumTransactionTransactionV2: {
            _enum: {
                Legacy: string;
                EIP2930: string;
                EIP1559: string;
            };
        };
        EthereumTransactionLegacyTransaction: {
            nonce: string;
            gasPrice: string;
            gasLimit: string;
            action: string;
            value: string;
            input: string;
            signature: string;
        };
        EthereumTransactionTransactionAction: {
            _enum: {
                Call: string;
                Create: string;
            };
        };
        EthereumTransactionTransactionSignature: {
            v: string;
            r: string;
            s: string;
        };
        EthereumTransactionEip2930Transaction: {
            chainId: string;
            nonce: string;
            gasPrice: string;
            gasLimit: string;
            action: string;
            value: string;
            input: string;
            accessList: string;
            oddYParity: string;
            r: string;
            s: string;
        };
        EthereumTransactionAccessListItem: {
            address: string;
            storageKeys: string;
        };
        EthereumTransactionEip1559Transaction: {
            chainId: string;
            nonce: string;
            maxPriorityFeePerGas: string;
            maxFeePerGas: string;
            gasLimit: string;
            action: string;
            value: string;
            input: string;
            accessList: string;
            oddYParity: string;
            r: string;
            s: string;
        };
        PalletEvmContractHelpersCall: {
            _enum: {
                migrate_from_self_sponsoring: {
                    addresses: string;
                };
            };
        };
        PalletEvmMigrationCall: {
            _enum: {
                begin: {
                    address: string;
                };
                set_data: {
                    address: string;
                    data: string;
                };
                finish: {
                    address: string;
                    code: string;
                };
                insert_eth_logs: {
                    logs: string;
                };
                insert_events: {
                    events: string;
                };
                remove_rmrk_data: string;
            };
        };
        EthereumLog: {
            address: string;
            topics: string;
            data: string;
        };
        PalletMaintenanceCall: {
            _enum: string[];
        };
        PalletUtilityCall: {
            _enum: {
                batch: {
                    calls: string;
                };
                as_derivative: {
                    index: string;
                    call: string;
                };
                batch_all: {
                    calls: string;
                };
                dispatch_as: {
                    asOrigin: string;
                    call: string;
                };
                force_batch: {
                    calls: string;
                };
                with_weight: {
                    call: string;
                    weight: string;
                };
            };
        };
        SpRuntimeBlakeTwo256: string;
        PalletSchedulerEvent: {
            _enum: {
                Scheduled: {
                    when: string;
                    index: string;
                };
                Canceled: {
                    when: string;
                    index: string;
                };
                Dispatched: {
                    task: string;
                    id: string;
                    result: string;
                };
                CallUnavailable: {
                    task: string;
                    id: string;
                };
                PeriodicFailed: {
                    task: string;
                    id: string;
                };
                PermanentlyOverweight: {
                    task: string;
                    id: string;
                };
            };
        };
        CumulusPalletXcmpQueueEvent: {
            _enum: {
                Success: {
                    messageHash: string;
                    messageId: string;
                    weight: string;
                };
                Fail: {
                    messageHash: string;
                    messageId: string;
                    error: string;
                    weight: string;
                };
                BadVersion: {
                    messageHash: string;
                };
                BadFormat: {
                    messageHash: string;
                };
                XcmpMessageSent: {
                    messageHash: string;
                };
                OverweightEnqueued: {
                    sender: string;
                    sentAt: string;
                    index: string;
                    required: string;
                };
                OverweightServiced: {
                    index: string;
                    used: string;
                };
            };
        };
        PalletXcmEvent: {
            _enum: {
                Attempted: {
                    outcome: string;
                };
                Sent: {
                    origin: string;
                    destination: string;
                    message: string;
                    messageId: string;
                };
                UnexpectedResponse: {
                    origin: string;
                    queryId: string;
                };
                ResponseReady: {
                    queryId: string;
                    response: string;
                };
                Notified: {
                    queryId: string;
                    palletIndex: string;
                    callIndex: string;
                };
                NotifyOverweight: {
                    queryId: string;
                    palletIndex: string;
                    callIndex: string;
                    actualWeight: string;
                    maxBudgetedWeight: string;
                };
                NotifyDispatchError: {
                    queryId: string;
                    palletIndex: string;
                    callIndex: string;
                };
                NotifyDecodeFailed: {
                    queryId: string;
                    palletIndex: string;
                    callIndex: string;
                };
                InvalidResponder: {
                    origin: string;
                    queryId: string;
                    expectedLocation: string;
                };
                InvalidResponderVersion: {
                    origin: string;
                    queryId: string;
                };
                ResponseTaken: {
                    queryId: string;
                };
                AssetsTrapped: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                    origin: string;
                    assets: string;
                };
                VersionChangeNotified: {
                    destination: string;
                    result: string;
                    cost: string;
                    messageId: string;
                };
                SupportedVersionChanged: {
                    location: string;
                    version: string;
                };
                NotifyTargetSendFail: {
                    location: string;
                    queryId: string;
                    error: string;
                };
                NotifyTargetMigrationFail: {
                    location: string;
                    queryId: string;
                };
                InvalidQuerierVersion: {
                    origin: string;
                    queryId: string;
                };
                InvalidQuerier: {
                    origin: string;
                    queryId: string;
                    expectedQuerier: string;
                    maybeActualQuerier: string;
                };
                VersionNotifyStarted: {
                    destination: string;
                    cost: string;
                    messageId: string;
                };
                VersionNotifyRequested: {
                    destination: string;
                    cost: string;
                    messageId: string;
                };
                VersionNotifyUnrequested: {
                    destination: string;
                    cost: string;
                    messageId: string;
                };
                FeesPaid: {
                    paying: string;
                    fees: string;
                };
                AssetsClaimed: {
                    _alias: {
                        hash_: string;
                    };
                    hash_: string;
                    origin: string;
                    assets: string;
                };
            };
        };
        XcmV3TraitsOutcome: {
            _enum: {
                Complete: string;
                Incomplete: string;
                Error: string;
            };
        };
        CumulusPalletXcmEvent: {
            _enum: {
                InvalidFormat: string;
                UnsupportedVersion: string;
                ExecutedDownward: string;
            };
        };
        CumulusPalletDmpQueueEvent: {
            _enum: {
                InvalidFormat: {
                    messageHash: string;
                };
                UnsupportedVersion: {
                    messageHash: string;
                };
                ExecutedDownward: {
                    messageHash: string;
                    messageId: string;
                    outcome: string;
                };
                WeightExhausted: {
                    messageHash: string;
                    messageId: string;
                    remainingWeight: string;
                    requiredWeight: string;
                };
                OverweightEnqueued: {
                    messageHash: string;
                    messageId: string;
                    overweightIndex: string;
                    requiredWeight: string;
                };
                OverweightServiced: {
                    overweightIndex: string;
                    weightUsed: string;
                };
                MaxMessagesExhausted: {
                    messageHash: string;
                };
            };
        };
        PalletConfigurationEvent: {
            _enum: {
                NewDesiredCollators: {
                    desiredCollators: string;
                };
                NewCollatorLicenseBond: {
                    bondCost: string;
                };
                NewCollatorKickThreshold: {
                    lengthInBlocks: string;
                };
            };
        };
        PalletCommonEvent: {
            _enum: {
                CollectionCreated: string;
                CollectionDestroyed: string;
                ItemCreated: string;
                ItemDestroyed: string;
                Transfer: string;
                Approved: string;
                ApprovedForAll: string;
                CollectionPropertySet: string;
                CollectionPropertyDeleted: string;
                TokenPropertySet: string;
                TokenPropertyDeleted: string;
                PropertyPermissionSet: string;
                AllowListAddressAdded: string;
                AllowListAddressRemoved: string;
                CollectionAdminAdded: string;
                CollectionAdminRemoved: string;
                CollectionLimitSet: string;
                CollectionOwnerChanged: string;
                CollectionPermissionSet: string;
                CollectionSponsorSet: string;
                SponsorshipConfirmed: string;
                CollectionSponsorRemoved: string;
            };
        };
        PalletStructureEvent: {
            _enum: {
                Executed: string;
            };
        };
        PalletAppPromotionEvent: {
            _enum: {
                StakingRecalculation: string;
                Stake: string;
                Unstake: string;
                SetAdmin: string;
            };
        };
        PalletForeignAssetsModuleEvent: {
            _enum: {
                ForeignAssetRegistered: {
                    collectionId: string;
                    assetId: string;
                };
            };
        };
        PalletEvmEvent: {
            _enum: {
                Log: {
                    log: string;
                };
                Created: {
                    address: string;
                };
                CreatedFailed: {
                    address: string;
                };
                Executed: {
                    address: string;
                };
                ExecutedFailed: {
                    address: string;
                };
            };
        };
        PalletEthereumEvent: {
            _enum: {
                Executed: {
                    from: string;
                    to: string;
                    transactionHash: string;
                    exitReason: string;
                    extraData: string;
                };
            };
        };
        EvmCoreErrorExitReason: {
            _enum: {
                Succeed: string;
                Error: string;
                Revert: string;
                Fatal: string;
            };
        };
        EvmCoreErrorExitSucceed: {
            _enum: string[];
        };
        EvmCoreErrorExitError: {
            _enum: {
                StackUnderflow: string;
                StackOverflow: string;
                InvalidJump: string;
                InvalidRange: string;
                DesignatedInvalid: string;
                CallTooDeep: string;
                CreateCollision: string;
                CreateContractLimit: string;
                OutOfOffset: string;
                OutOfGas: string;
                OutOfFund: string;
                PCUnderflow: string;
                CreateEmpty: string;
                Other: string;
                MaxNonce: string;
                InvalidCode: string;
            };
        };
        EvmCoreErrorExitRevert: {
            _enum: string[];
        };
        EvmCoreErrorExitFatal: {
            _enum: {
                NotSupported: string;
                UnhandledInterrupt: string;
                CallErrorAsFatal: string;
                Other: string;
            };
        };
        PalletEvmContractHelpersEvent: {
            _enum: {
                ContractSponsorSet: string;
                ContractSponsorshipConfirmed: string;
                ContractSponsorRemoved: string;
            };
        };
        PalletEvmMigrationEvent: {
            _enum: string[];
        };
        PalletMaintenanceEvent: {
            _enum: string[];
        };
        PalletUtilityEvent: {
            _enum: {
                BatchInterrupted: {
                    index: string;
                    error: string;
                };
                BatchCompleted: string;
                BatchCompletedWithErrors: string;
                ItemCompleted: string;
                ItemFailed: {
                    error: string;
                };
                DispatchedAs: {
                    result: string;
                };
            };
        };
        FrameSystemPhase: {
            _enum: {
                ApplyExtrinsic: string;
                Finalization: string;
                Initialization: string;
            };
        };
        FrameSystemLastRuntimeUpgradeInfo: {
            specVersion: string;
            specName: string;
        };
        FrameSystemLimitsBlockWeights: {
            baseBlock: string;
            maxBlock: string;
            perClass: string;
        };
        FrameSupportDispatchPerDispatchClassWeightsPerClass: {
            normal: string;
            operational: string;
            mandatory: string;
        };
        FrameSystemLimitsWeightsPerClass: {
            baseExtrinsic: string;
            maxExtrinsic: string;
            maxTotal: string;
            reserved: string;
        };
        FrameSystemLimitsBlockLength: {
            max: string;
        };
        FrameSupportDispatchPerDispatchClassU32: {
            normal: string;
            operational: string;
            mandatory: string;
        };
        SpWeightsRuntimeDbWeight: {
            read: string;
            write: string;
        };
        SpVersionRuntimeVersion: {
            specName: string;
            implName: string;
            authoringVersion: string;
            specVersion: string;
            implVersion: string;
            apis: string;
            transactionVersion: string;
            stateVersion: string;
        };
        FrameSystemError: {
            _enum: string[];
        };
        CumulusPalletParachainSystemUnincludedSegmentAncestor: {
            usedBandwidth: string;
            paraHeadHash: string;
            consumedGoAheadSignal: string;
        };
        CumulusPalletParachainSystemUnincludedSegmentUsedBandwidth: {
            umpMsgCount: string;
            umpTotalBytes: string;
            hrmpOutgoing: string;
        };
        CumulusPalletParachainSystemUnincludedSegmentHrmpChannelUpdate: {
            msgCount: string;
            totalBytes: string;
        };
        PolkadotPrimitivesV6UpgradeGoAhead: {
            _enum: string[];
        };
        CumulusPalletParachainSystemUnincludedSegmentSegmentTracker: {
            usedBandwidth: string;
            hrmpWatermark: string;
            consumedGoAheadSignal: string;
        };
        PolkadotPrimitivesV6UpgradeRestriction: {
            _enum: string[];
        };
        CumulusPalletParachainSystemRelayStateSnapshotMessagingStateSnapshot: {
            dmqMqcHead: string;
            relayDispatchQueueRemainingCapacity: string;
            ingressChannels: string;
            egressChannels: string;
        };
        CumulusPalletParachainSystemRelayStateSnapshotRelayDispatchQueueRemainingCapacity: {
            remainingCount: string;
            remainingSize: string;
        };
        PolkadotPrimitivesV6AbridgedHrmpChannel: {
            maxCapacity: string;
            maxTotalSize: string;
            maxMessageSize: string;
            msgCount: string;
            totalSize: string;
            mqcHead: string;
        };
        PolkadotPrimitivesV6AbridgedHostConfiguration: {
            maxCodeSize: string;
            maxHeadDataSize: string;
            maxUpwardQueueCount: string;
            maxUpwardQueueSize: string;
            maxUpwardMessageSize: string;
            maxUpwardMessageNumPerCandidate: string;
            hrmpMaxMessageNumPerCandidate: string;
            validationUpgradeCooldown: string;
            validationUpgradeDelay: string;
            asyncBackingParams: string;
        };
        PolkadotPrimitivesV6AsyncBackingAsyncBackingParams: {
            maxCandidateDepth: string;
            allowedAncestryLen: string;
        };
        PolkadotCorePrimitivesOutboundHrmpMessage: {
            recipient: string;
            data: string;
        };
        CumulusPalletParachainSystemCodeUpgradeAuthorization: {
            codeHash: string;
            checkVersion: string;
        };
        CumulusPalletParachainSystemError: {
            _enum: string[];
        };
        PalletCollatorSelectionError: {
            _enum: string[];
        };
        SpCoreCryptoKeyTypeId: string;
        PalletSessionError: {
            _enum: string[];
        };
        PalletBalancesBalanceLock: {
            id: string;
            amount: string;
            reasons: string;
        };
        PalletBalancesReasons: {
            _enum: string[];
        };
        PalletBalancesReserveData: {
            id: string;
            amount: string;
        };
        QuartzRuntimeRuntimeHoldReason: {
            _enum: {
                __Unused0: string;
                __Unused1: string;
                __Unused2: string;
                __Unused3: string;
                __Unused4: string;
                __Unused5: string;
                __Unused6: string;
                __Unused7: string;
                __Unused8: string;
                __Unused9: string;
                __Unused10: string;
                __Unused11: string;
                __Unused12: string;
                __Unused13: string;
                __Unused14: string;
                __Unused15: string;
                __Unused16: string;
                __Unused17: string;
                __Unused18: string;
                __Unused19: string;
                __Unused20: string;
                __Unused21: string;
                __Unused22: string;
                CollatorSelection: string;
                __Unused24: string;
                __Unused25: string;
                __Unused26: string;
                __Unused27: string;
                __Unused28: string;
                __Unused29: string;
                __Unused30: string;
                __Unused31: string;
                __Unused32: string;
                __Unused33: string;
                __Unused34: string;
                __Unused35: string;
                __Unused36: string;
                __Unused37: string;
                __Unused38: string;
                __Unused39: string;
                __Unused40: string;
                Preimage: string;
            };
        };
        PalletCollatorSelectionHoldReason: {
            _enum: string[];
        };
        PalletPreimageHoldReason: {
            _enum: string[];
        };
        PalletBalancesIdAmount: {
            id: string;
            amount: string;
        };
        PalletBalancesError: {
            _enum: string[];
        };
        PalletTransactionPaymentReleases: {
            _enum: string[];
        };
        PalletTreasuryProposal: {
            proposer: string;
            value: string;
            beneficiary: string;
            bond: string;
        };
        PalletTreasurySpendStatus: {
            assetKind: string;
            amount: string;
            beneficiary: string;
            validFrom: string;
            expireAt: string;
            status: string;
        };
        PalletTreasuryPaymentState: {
            _enum: {
                Pending: string;
                Attempted: {
                    id: string;
                };
                Failed: string;
            };
        };
        FrameSupportPalletId: string;
        PalletTreasuryError: {
            _enum: string[];
        };
        PalletSudoError: {
            _enum: string[];
        };
        OrmlVestingModuleError: {
            _enum: string[];
        };
        OrmlXtokensModuleError: {
            _enum: string[];
        };
        PalletIdentityRegistrarInfo: {
            account: string;
            fee: string;
            fields: string;
        };
        PalletIdentityError: {
            _enum: string[];
        };
        PalletPreimageOldRequestStatus: {
            _enum: {
                Unrequested: {
                    deposit: string;
                    len: string;
                };
                Requested: {
                    deposit: string;
                    count: string;
                    len: string;
                };
            };
        };
        PalletPreimageRequestStatus: {
            _enum: {
                Unrequested: {
                    ticket: string;
                    len: string;
                };
                Requested: {
                    maybeTicket: string;
                    count: string;
                    maybeLen: string;
                };
            };
        };
        PalletPreimageError: {
            _enum: string[];
        };
        PalletDemocracyReferendumInfo: {
            _enum: {
                Ongoing: string;
                Finished: {
                    approved: string;
                    end: string;
                };
            };
        };
        PalletDemocracyReferendumStatus: {
            end: string;
            proposal: string;
            threshold: string;
            delay: string;
            tally: string;
        };
        PalletDemocracyTally: {
            ayes: string;
            nays: string;
            turnout: string;
        };
        PalletDemocracyVoteVoting: {
            _enum: {
                Direct: {
                    votes: string;
                    delegations: string;
                    prior: string;
                };
                Delegating: {
                    balance: string;
                    target: string;
                    conviction: string;
                    delegations: string;
                    prior: string;
                };
            };
        };
        PalletDemocracyDelegations: {
            votes: string;
            capital: string;
        };
        PalletDemocracyVotePriorLock: string;
        PalletDemocracyError: {
            _enum: string[];
        };
        PalletCollectiveVotes: {
            index: string;
            threshold: string;
            ayes: string;
            nays: string;
            end: string;
        };
        PalletCollectiveError: {
            _enum: string[];
        };
        PalletMembershipError: {
            _enum: string[];
        };
        PalletRankedCollectiveMemberRecord: {
            rank: string;
        };
        PalletRankedCollectiveError: {
            _enum: string[];
        };
        PalletReferendaReferendumInfo: {
            _enum: {
                Ongoing: string;
                Approved: string;
                Rejected: string;
                Cancelled: string;
                TimedOut: string;
                Killed: string;
            };
        };
        PalletReferendaReferendumStatus: {
            track: string;
            origin: string;
            proposal: string;
            enactment: string;
            submitted: string;
            submissionDeposit: string;
            decisionDeposit: string;
            deciding: string;
            tally: string;
            inQueue: string;
            alarm: string;
        };
        PalletReferendaDeposit: {
            who: string;
            amount: string;
        };
        PalletReferendaDecidingStatus: {
            since: string;
            confirming: string;
        };
        PalletReferendaTrackInfo: {
            name: string;
            maxDeciding: string;
            decisionDeposit: string;
            preparePeriod: string;
            decisionPeriod: string;
            confirmPeriod: string;
            minEnactmentPeriod: string;
            minApproval: string;
            minSupport: string;
        };
        PalletReferendaCurve: {
            _enum: {
                LinearDecreasing: {
                    length: string;
                    floor: string;
                    ceil: string;
                };
                SteppedDecreasing: {
                    begin: string;
                    end: string;
                    step: string;
                    period: string;
                };
                Reciprocal: {
                    factor: string;
                    xOffset: string;
                    yOffset: string;
                };
            };
        };
        PalletReferendaError: {
            _enum: string[];
        };
        PalletSchedulerScheduled: {
            maybeId: string;
            priority: string;
            call: string;
            maybePeriodic: string;
            origin: string;
        };
        PalletSchedulerError: {
            _enum: string[];
        };
        CumulusPalletXcmpQueueInboundChannelDetails: {
            sender: string;
            state: string;
            messageMetadata: string;
        };
        CumulusPalletXcmpQueueInboundState: {
            _enum: string[];
        };
        PolkadotParachainPrimitivesPrimitivesXcmpMessageFormat: {
            _enum: string[];
        };
        CumulusPalletXcmpQueueOutboundChannelDetails: {
            recipient: string;
            state: string;
            signalsExist: string;
            firstIndex: string;
            lastIndex: string;
        };
        CumulusPalletXcmpQueueOutboundState: {
            _enum: string[];
        };
        CumulusPalletXcmpQueueQueueConfigData: {
            suspendThreshold: string;
            dropThreshold: string;
            resumeThreshold: string;
            thresholdWeight: string;
            weightRestrictDecay: string;
            xcmpMaxIndividualWeight: string;
        };
        CumulusPalletXcmpQueueError: {
            _enum: string[];
        };
        PalletXcmQueryStatus: {
            _enum: {
                Pending: {
                    responder: string;
                    maybeMatchQuerier: string;
                    maybeNotify: string;
                    timeout: string;
                };
                VersionNotifier: {
                    origin: string;
                    isActive: string;
                };
                Ready: {
                    response: string;
                    at: string;
                };
            };
        };
        XcmVersionedResponse: {
            _enum: {
                __Unused0: string;
                __Unused1: string;
                V2: string;
                V3: string;
            };
        };
        PalletXcmVersionMigrationStage: {
            _enum: {
                MigrateSupportedVersion: string;
                MigrateVersionNotifiers: string;
                NotifyCurrentTargets: string;
                MigrateAndNotifyOldTargets: string;
            };
        };
        PalletXcmRemoteLockedFungibleRecord: {
            amount: string;
            owner: string;
            locker: string;
            consumers: string;
        };
        PalletXcmError: {
            _enum: string[];
        };
        CumulusPalletXcmError: string;
        CumulusPalletDmpQueueConfigData: {
            maxIndividual: string;
        };
        CumulusPalletDmpQueuePageIndexData: {
            beginUsed: string;
            endUsed: string;
            overweightCount: string;
        };
        CumulusPalletDmpQueueError: {
            _enum: string[];
        };
        PalletUniqueError: {
            _enum: string[];
        };
        PalletConfigurationError: {
            _enum: string[];
        };
        UpDataStructsCollection: {
            owner: string;
            mode: string;
            name: string;
            description: string;
            tokenPrefix: string;
            sponsorship: string;
            limits: string;
            permissions: string;
            flags: string;
        };
        UpDataStructsSponsorshipStateAccountId32: {
            _enum: {
                Disabled: string;
                Unconfirmed: string;
                Confirmed: string;
            };
        };
        UpDataStructsProperties: {
            map: string;
            consumedSpace: string;
            reserved: string;
        };
        UpDataStructsPropertiesMapBoundedVec: string;
        UpDataStructsPropertiesMapPropertyPermission: string;
        UpDataStructsCollectionStats: {
            created: string;
            destroyed: string;
            alive: string;
        };
        UpDataStructsTokenChild: {
            token: string;
            collection: string;
        };
        PhantomTypeUpDataStructs: string;
        UpDataStructsTokenData: {
            properties: string;
            owner: string;
            pieces: string;
        };
        UpDataStructsRpcCollection: {
            owner: string;
            mode: string;
            name: string;
            description: string;
            tokenPrefix: string;
            sponsorship: string;
            limits: string;
            permissions: string;
            tokenPropertyPermissions: string;
            properties: string;
            readOnly: string;
            flags: string;
        };
        UpDataStructsRpcCollectionFlags: {
            foreign: string;
            erc721metadata: string;
        };
        UpPovEstimateRpcPovInfo: {
            proofSize: string;
            compactProofSize: string;
            compressedProofSize: string;
            results: string;
            keyValues: string;
        };
        SpRuntimeTransactionValidityTransactionValidityError: {
            _enum: {
                Invalid: string;
                Unknown: string;
            };
        };
        SpRuntimeTransactionValidityInvalidTransaction: {
            _enum: {
                Call: string;
                Payment: string;
                Future: string;
                Stale: string;
                BadProof: string;
                AncientBirthBlock: string;
                ExhaustsResources: string;
                Custom: string;
                BadMandatory: string;
                MandatoryValidation: string;
                BadSigner: string;
            };
        };
        SpRuntimeTransactionValidityUnknownTransaction: {
            _enum: {
                CannotLookup: string;
                NoUnsignedValidator: string;
                Custom: string;
            };
        };
        UpPovEstimateRpcTrieKeyValue: {
            key: string;
            value: string;
        };
        PalletCommonError: {
            _enum: string[];
        };
        PalletFungibleError: {
            _enum: string[];
        };
        PalletRefungibleError: {
            _enum: string[];
        };
        PalletNonfungibleItemData: {
            owner: string;
        };
        UpDataStructsPropertyScope: {
            _enum: string[];
        };
        PalletNonfungibleError: {
            _enum: string[];
        };
        PalletStructureError: {
            _enum: string[];
        };
        PalletAppPromotionError: {
            _enum: string[];
        };
        PalletForeignAssetsModuleError: {
            _enum: string[];
        };
        PalletEvmCodeMetadata: {
            _alias: {
                size_: string;
                hash_: string;
            };
            size_: string;
            hash_: string;
        };
        PalletEvmError: {
            _enum: string[];
        };
        FpRpcTransactionStatus: {
            transactionHash: string;
            transactionIndex: string;
            from: string;
            to: string;
            contractAddress: string;
            logs: string;
            logsBloom: string;
        };
        EthbloomBloom: string;
        EthereumReceiptReceiptV3: {
            _enum: {
                Legacy: string;
                EIP2930: string;
                EIP1559: string;
            };
        };
        EthereumReceiptEip658ReceiptData: {
            statusCode: string;
            usedGas: string;
            logsBloom: string;
            logs: string;
        };
        EthereumBlock: {
            header: string;
            transactions: string;
            ommers: string;
        };
        EthereumHeader: {
            parentHash: string;
            ommersHash: string;
            beneficiary: string;
            stateRoot: string;
            transactionsRoot: string;
            receiptsRoot: string;
            logsBloom: string;
            difficulty: string;
            number: string;
            gasLimit: string;
            gasUsed: string;
            timestamp: string;
            extraData: string;
            mixHash: string;
            nonce: string;
        };
        EthereumTypesHashH64: string;
        PalletEthereumError: {
            _enum: string[];
        };
        PalletEvmCoderSubstrateError: {
            _enum: string[];
        };
        UpDataStructsSponsorshipStateBasicCrossAccountIdRepr: {
            _enum: {
                Disabled: string;
                Unconfirmed: string;
                Confirmed: string;
            };
        };
        PalletEvmContractHelpersSponsoringModeT: {
            _enum: string[];
        };
        PalletEvmContractHelpersError: {
            _enum: string[];
        };
        PalletEvmMigrationError: {
            _enum: string[];
        };
        PalletMaintenanceError: string;
        PalletUtilityError: {
            _enum: string[];
        };
        SpRuntimeMultiSignature: {
            _enum: {
                Ed25519: string;
                Sr25519: string;
                Ecdsa: string;
            };
        };
        SpCoreEd25519Signature: string;
        SpCoreSr25519Signature: string;
        SpCoreEcdsaSignature: string;
        FrameSystemExtensionsCheckSpecVersion: string;
        FrameSystemExtensionsCheckTxVersion: string;
        FrameSystemExtensionsCheckGenesis: string;
        PalletTemplateTransactionPaymentCheckNonce: string;
        FrameSystemExtensionsCheckWeight: string;
        QuartzRuntimeRuntimeCommonMaintenanceCheckMaintenance: string;
        QuartzRuntimeRuntimeCommonIdentityDisableIdentityCalls: string;
        PalletTemplateTransactionPaymentChargeTransactionPayment: string;
        QuartzRuntimeRuntime: string;
        PalletEthereumFakeTransactionFinalizer: string;
    };
    rpc: {};
};
export default _default;
